Opened 9 months ago

Closed 8 months ago

#24916 closed defect (duplicate)

3 month bandwidth showing old data

Reported by: irl Owned by: metrics-team
Priority: Medium Milestone:
Component: Metrics/Onionoo Version:
Severity: Normal Keywords:
Cc: Actual Points:
Parent ID: #24155 Points:
Reviewer: Sponsor:

Description

For the relay https://atlas.torproject.org/#details/F22B4901A2759485285D829941A1E307A5605317 it's showing data from November to December but nothing after that. It seems weird that it would choose this time period to display and has confused a Relay Search user.

arma suggests it may be that the relay hasn't been publishing extrainfo since then and so perhaps Onionoo doesn't have the data.

The Onionoo output is:

{"version":"5.0",
"build_revision":"0bce98a",
"relays_published":"2018-01-17 03:00:00",
"relays":[
{"fingerprint":"F22B4901A2759485285D829941A1E307A5605317","write_history":{"3_months":{"first":"2017-11-08 06:00:00","last":"2017-12-03 06:00:00","interval":43200,"factor":1947.5475475475475,"count":51,"values":[0,177,173,149,442,617,392,470,431,497,581,748,684,758,712,813,982,999,999,980,954,996,732,632,629,723,988,983,999,995,886,774,808,999,999,999,999,994,702,693,553,873,831,999,981,994,889,926,899,957,965]}},"read_history":{"3_months":{"first":"2017-11-08 06:00:00","last":"2017-12-03 06:00:00","interval":43200,"factor":1947.5475475475475,"count":51,"values":[0,175,174,152,436,613,387,464,427,493,584,750,689,764,718,827,999,999,999,993,979,999,740,632,636,740,999,999,999,999,896,804,852,999,999,999,999,999,724,709,561,895,875,999,999,999,902,938,917,981,999]}}}
],
"bridges_published":"2018-01-17 03:04:05",
"bridges":[
]}

Child Tickets

Change History (4)

comment:1 Changed 9 months ago by teor

Parent ID: #24155

This is likely due to decreased bandwidth reporting intervals in recent tor versions.
See #24155 and children.

comment:2 Changed 9 months ago by irl

I'm not sure I understand correctly which datasets are affected. Do we get the 1 month and 3 month data from the same reporting interval? I had thought this only affected the 1 month data.

comment:3 Changed 9 months ago by karsten

Status: newneeds_information

Without looking at this relay in particular, this situation sounds quite similar to #24729. In particular, please take a look at my analysis there in comment 3.

If this sounds like a duplicate to you, too, please close this ticket, and let's move the discussion to #24729. (I'm still curious what you think about my suggested fix there.)

comment:4 Changed 8 months ago by karsten

Resolution: duplicate
Status: needs_informationclosed

This should be fixed now with #24729 being resolved. Closing. Please reopen if there's another issue remaining. Thanks!

Note: See TracTickets for help on using tickets.